/*****************************************************************************
 * Application Name: WinVAM32 - Volume Access Module for 32bit Windows
 *        Copyright: (C) Copyright David Goodwin, 2010
 *          License: GNU GPL v2
 *****************************************************************************
	This file is part of "WinDIMG32".

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

 */

#ifndef VAMNT_H
#define VAMNT_H

#define BUILD_DLL

/* For exported functions: */
#include "winvam32_dll.h"

/* For local functions */
#include "winvam32.h"
#include "geom.h"

/* Windows headers */
#include <windows.h>
#include <winioctl.h>
#include <stdio.h>

/* 
 * Writes a track to the floppy drive
 * Windows NT ONLY
 */
int write_data_nt(long track,
				 const char *data,
				 int data_length,
				 DWORD *dwBytesWritten);

/* 
 * Reads a track from the floppy drive
 * Windows NT ONLY
 */
int read_data_nt(long track,
				char* data,
				int data_length,
				int *length_read);

/*
 * Reads the disk geometry from the floppy drive
 * Windows NT ONLY
 */
int read_diskgeom_nt();

#endif //VAMNT_H
